Subject: bug#78103: GNOME calendar reminders do not trigger notifications

From: Noé Lopez <[email-masked]>
Date: Tue, 29 Apr 2025 10:39:09 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> Since commit 3c8427ca415, saving reminders for a GNOME Calendar event
>> works... but! they dot appear to trigger any notifications.
>
> Apparently that's another known upstream problem [0].  I was able to
> reproduce it in a fresh Fedora 42 VM, and installing Evolution fixes it.
>
> Given that:
>
> 1) it's a pretty bad user experience to not be reminded about events
> they created, and for which they explicitly added reminders;
>
> 2) and that adding Evolution itself adds a "mere" 100 MiB to the closure
> of, according to:
>
> 'guix size evolution-data-server evolution' (3132.4 MiB) vs
> 'guix size evolution-data-server' (3031.1 MiB);
>
> I'd propose we simply include the `evolution` package out of the box
> with a comment to remove it if/when moving the calendar notification
> functionality from evolution to gnome-shell-calendar-server [1] is
> implemented.
>
> What do you think?
>

Probably its a good idea? But I’m not sure if we want evolution in the
app list since it is segfaulting after adding an account on my end. So I
will see if I can patch it tonight to make it work.

Also, it complains like calendar about missing
org.gnome.evolution.dataserver.Sources5 service. Is that expected?

Have a nice day,
Noé

> [0]  https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/498
> [1]  https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/155
>
> -- 
> Thanks,
> Maxim